Inhoud

# Functie AscW [VBA]

Geeft de Unicodewaarde van het eerste teken in een tekenreeks.

Deze constante, functie of object, is ingeschakeld met de instructie Option VBASupport, geplaatst voor het uitvoerbare programmacode in een module.

### Syntaxis:

    AscW (string) As Long

### Geretourneerde waarde:

Long

### Parameters:

string: Een geldige tekenreeksexpressie. Alleen het eerste teken in de tekenreeks is relevant.

Gebruik de functies AscW om toetsen te vervangen door Unicode-waarden. Als de functie AscW een lege tekenreeks krijgt, meldt LibreOffice Basic een run-time fout. Uitvoerwaardes liggen tussen 0 en 65535.

### Foutcodes:

5 Ongeldige aanroep van procedure

### Voorbeeld:

    Sub ExampleAscW
     Print AscW("A") ' geeft 65
     Print AscW(string:="Ω") ' geeft 937
     Print AscW("Αθήνα") ' geeft 913, omdat alleen het eerste teken (Alfa) in aanmerking wordt genomen
    End Sub

Verwante onderwerpen

Functie Asc (BASIC)

Functie Chr

Functie ChrW [VBA]